Package com.trilead.ssh2.transport

# Class ClientServerHello

java.lang.Object
com.trilead.ssh2.transport.ClientServerHello

public class ClientServerHello extends Object
ClientServerHello.

## Constructor Summary

Constructors
Constructor
Description
`ClientServerHello(InputStream bi, OutputStream bo)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getClientString()`
`byte[]`
`getServerString()`
`static final int`
`readLineRN(InputStream is, byte[] buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientServerHello

public ClientServerHello(InputStream bi, OutputStream bo) throws IOException

Throws:
  `IOException`

## Method Details

### readLineRN

public static final int readLineRN(InputStream is, byte[] buffer) throws IOException

Throws:
  `IOException`

### getClientString

public byte[] getClientString()

Returns:
  Returns the client_versioncomment.

### getServerString

public byte[] getServerString()

Returns:
  Returns the server_versioncomment.